Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence
Class AbstractMutableSequence

    java.lang.Object
      |
      +--uk.ac.man.bioinf.sequence.AbstractSequence
            |
            +--uk.ac.man.bioinf.sequence.AbstractMutableSequence

All Implemented Interfaces:
  Identifiable, MutableSequence, Sequence, SequenceEventProvider

Direct Known Subclasses:
  AbstractComplexSequence, AbstractEditableSequence, AbstractGappedSequence

public abstract class AbstractMutableSequence
extends AbstractSequence
implements MutableSequence

AbstractMutableSequence.java Created: Thu Mar 2 20:20:02 2000

Version:
  $Id: AbstractMutableSequence.java,v 1.4 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`AbstractMutableSequence(SequenceType type)`

Method Summary
`void` | `addSequenceListener(SequenceListener listener)` Adds the specified sequence listener.
`void` | `addVetoableSequenceListener(VetoableSequenceListener listener)` Adds the specified vetoable sequence listener.
`protected void` | `fireSequenceEvent(SequenceEvent event)`
`protected void` | `fireVetoableSequenceEvent(VetoableSequenceEvent event)`
`protected boolean` | `hasListeners()`
`void` | `removeSequenceListener(SequenceListener listener)` Removes the specified sequence listener.
`void` | `removeVetoableSequenceListener(VetoableSequenceListener listener)` Removes the specified vetoable sequence listener.

Methods inherited from class uk.ac.man.bioinf.sequence.AbstractSequence
`checkRange, checkSequenceType, checkSequenceType, getElementAtAsChar, getSequenceAsChars, getSequenceIndexException, getSequenceType, getSequenceTypeException, getSubSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface uk.ac.man.bioinf.sequence.Sequence
`getElementAt, getElementAtAsChar, getLength, getSequenceAsChars, getSequenceAsElements, getSequenceType, getSubSequence`

Methods inherited from interface uk.ac.man.bioinf.sequence.identifier.Identifiable
`getIdentifier`

Constructor Detail

### AbstractMutableSequence

    public AbstractMutableSequence(SequenceType type)

Method Detail

### fireVetoableSequenceEvent

    protected void fireVetoableSequenceEvent(VetoableSequenceEvent event)
                                      throws SequenceVetoException

    `SequenceVetoException`

### fireSequenceEvent

    protected void fireSequenceEvent(SequenceEvent event)

### hasListeners

    protected boolean hasListeners()

### addSequenceListener

    public void addSequenceListener(SequenceListener listener)

  Description copied from interface: `SequenceEventProvider`
  Adds the specified sequence listener.

  Specified by:
    `addSequenceListener` in interface `SequenceEventProvider`
  Parameters:
    `listener` - the sequence listener

### addVetoableSequenceListener

    public void addVetoableSequenceListener(VetoableSequenceListener listener)

  Description copied from interface: `SequenceEventProvider`
  Adds the specified vetoable sequence listener.

  Specified by:
    `addVetoableSequenceListener` in interface `SequenceEventProvider`
  Parameters:
    `listener` - the vetoable sequence listener

### removeSequenceListener

    public void removeSequenceListener(SequenceListener listener)

  Description copied from interface: `SequenceEventProvider`
  Removes the specified sequence listener.

  Specified by:
    `removeSequenceListener` in interface `SequenceEventProvider`
  Parameters:
    `listener` - the sequence listener

### removeVetoableSequenceListener

    public void removeVetoableSequenceListener(VetoableSequenceListener listener)

  Description copied from interface: `SequenceEventProvider`
  Removes the specified vetoable sequence listener.

  Specified by:
    `removeVetoableSequenceListener` in interface `SequenceEventProvider`
  Parameters:
    `listener` - the vetoable sequence listener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD